Subject: bug#23894: compilation fails with `-Og'

From: Gonçalo Ribeiro <[email-masked]>
Date: Mon, 4 Jul 2016 14:32:56 +0000 (UTC)

Hello,
Today I tried compiling gzip with `CFLAGS = -ggdb3 -Og', which resulted in the following error 
gzip.c: In function 'main':gzip.c:609:19: error: 'optc' may be used uninitialized in this function [-Werror=maybe-uninitialized]                   fprintf (stderr, "-%c: ", optc - ENV_OPTION);
After messing around a bit I found that the problem is with the `-Og' flag. With the default `-O2' the compilation is sucessful.
As expected, by initialising the 'optc' variable the error goes away. I'm just not sure if any value is good for the initialisation.
Regards,Gonçalo Ribeiro